﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadAjaxPanelAndDynamicControls : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadComboBox cmb1;
        RadComboBox cmb2;
        RadComboBox cmbX;
        // Rebuild the dynamic controls based on which should be shown   
        if (Session["page"] == null)
        {
            cmb1 = new RadComboBox();
            cmb1.ID = "first";
            updatePanel.Controls.Add(cmb1);
            cmb1.AutoPostBack = true;
            cmb1.SelectedIndexChanged += new RadComboBoxSelectedIndexChangedEventHandler(cmb1_SelectedIndexChanged);

            cmb2 = new RadComboBox();
            cmb2.ID = "second";
            cmb2.AutoPostBack = true;
            cmb2.SelectedIndexChanged += new RadComboBoxSelectedIndexChangedEventHandler(cmb1_SelectedIndexChanged);

            updatePanel.Controls.Add(cmb2);

            if (!this.IsPostBack)
            {
                cmb1.Items.Add(new RadComboBoxItem("Item A", "1"));
                cmb1.Items.Add(new RadComboBoxItem("Item B", "2"));
                cmb1.Items.Add(new RadComboBoxItem("Item C", "3"));

                cmb2.Items.Add(new RadComboBoxItem("Item M", "1"));
                cmb2.Items.Add(new RadComboBoxItem("Item N", "2"));
                cmb2.Items.Add(new RadComboBoxItem("Item O", "3"));
            }

        }
        else
        {
            cmbX = new RadComboBox();
            cmbX.ID = "NewPage";
            updatePanel.Controls.Add(cmbX);

            // This combobox is only filled in the selected event   
        }

    }

    void cmb1_SelectedIndexChanged(object o, RadComboBoxSelectedIndexChangedEventArgs e)
    {
        string sSelect = e.Text;
        string sValue = e.Value;

        RadComboBox dd = (RadComboBox)o;

        if (dd.ID == "first")
        {
            RadComboBox cmb2 = updatePanel.FindControl("second") as RadComboBox;

            if (cmb2 != null)
            {
                cmb2.Items.Clear();
                cmb2.Items.Add(new RadComboBoxItem("Item P", "5"));
                cmb2.Items.Add(new RadComboBoxItem("Item Q", "6"));
                cmb2.Items.Add(new RadComboBoxItem("Item R", "7"));
            }
        }


    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        // If the second page is not showing, show it.   
        // If the page is already showing, do nothing and act like a single postback   

        if (Session["page"] == null)
        {
            // Clear the update panel   
            // Create the single combobox   
            // Fill the combobox   
            updatePanel.Controls.Clear();

            RadComboBox cmbX = new RadComboBox();
            cmbX.ID = "NewPage";
            updatePanel.Controls.Add(cmbX);

            cmbX.Items.Clear();
            cmbX.Items.Add(new RadComboBoxItem("Item XXX", "14"));
            cmbX.Items.Add(new RadComboBoxItem("Item YYY", "32"));
            cmbX.Items.Add(new RadComboBoxItem("Item ZZZ", "23"));
            Button2.Text = "Cause a postback";
            Session["page"] = 2;
        }


    }
}